/* Elvira Bluetooth FTP 
 * Copyright (C) 2007  Alberto Salas Bragado
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef COMMON_GTK_H_
#define COMMON_GTK_H_

#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <glade/glade.h>

#include "../adaptation/types.h"
#include "widgets.h"

/** Funciones útiles para la GUI */
void l(char *cadena);
void initWidgets();
void poblateFileList(GtkTreeView *gtv, file_t *files, int numfiles, int root);
void poblateDeviceList(GtkTreeView *gtv, device_t *devices, int numdevices);
void disconnectProcessGui();
void prepareFileList(GtkTreeView *gtv);
void prepareDispList(GtkTreeView *gtv);
void getFilesSelected(GtkTreeView *gtv, file_t **files, int *numfiles);
void getDeviceSelected(GtkTreeView *gtv, device_t *device);
void getFileActivated(GtkTreeView *gtv, GtkTreePath *path, file_t *file);
void getTextEntry(GtkEntry *entry, char *cad);
void addDeviceList(GtkTreeView *gtv, device_t *device);
void delDeviceList(GtkTreeView *gtv);
void updateGUI();
void getDevicesGTV(GtkTreeView *gtv, device_t **devices, int *numdevices);

#endif /*COMMON_GTK_H_*/
